Package org.tmatesoft.svn.core.io

## Interface ISVNLockTimeoutProvider

-     public interface ISVNLockTimeoutProvider

  Mix-in interface to be optionally implemented by ISVNLockHandler When supported by the server, lock timeout would be requested during lock operation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getLockTimeout​(java.lang.String repositoryPath, java.lang.String path, java.lang.String comment, boolean force)` | Returns lock timeout

- - ### Method Detail

    - #### getLockTimeout

          long getLockTimeout​(java.lang.String repositoryPath,
                              java.lang.String path,
                              java.lang.String comment,
                              boolean force)

      Returns lock timeout
      Parameters:
        `repositoryPath` - path to the file about to be locked relative to repository root
        `path` - path to the file about to be locked relative to SVNRepository location
        `comment` - lock comment
        `force` - true if lock is forced
      Returns:
        lock timeout duration in seconds or 0 for infinite timeout